Docs Rizler

Profile

Update Password

PUThttps://app.rizzdial.com/api/profile/password
Update Password
curl --request PUT \
  --url https://app.rizzdial.com/api/profile/password \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "password": "NewStrongPassword123!",
  "current_password": "old-password",
  "password_confirmation": "NewStrongPassword123!"
}'
{
  "message": "Password updated successfully.",
  "success": true
}

Update Password#

Changes the signed-in user's password. The current password must be correct.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

current_passwordstringbodyrequired

Current account password

passwordstringbodyrequired

New password. Must pass the application's password rules

password_confirmationstringbodyrequired

Must match password

curl --request PUT \
  --url https://app.rizzdial.com/api/profile/password \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{"current_password":"old-password","password":"NewStrongPassword123!","password_confirmation":"NewStrongPassword123!"}'
successboolean

true when the password is updated

messagestring

Password updated successfully.